---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: forgejo
spec:
  secretStoreRef:
    kind: ClusterSecretStore
    name: doppler
  target:
    name: forgejo-secret
    creationPolicy: Owner
    template:
      engineVersion: v2
      data:
        # App
        username: "{{ .FORGEJO_USERNAME }}"
        password: "{{ .FORGEJO_PASSWORD }}"
        email: "{{ .FORGEJO_EMAIL }}"
        secret-key: "{{ .SECRET_KEY }}"
        internal-token: "{{ .INTERNAL_TOKEN }}"
        # OAuth
        key: "{{ .MINIO_ACCESS_KEY_ID }}"
        secret: "{{ .MINIO_ACCESS_KEY_ID }}"
        # Minio
        MINIO_ACCESS_KEY_ID: "{{ .MINIO_ACCESS_KEY_ID }}"
        MINIO_SECRET_ACCESS_KEY: "{{ .MINIO_SECRET_ACCESS_KEY }}"
  dataFrom:
    - extract:
        key: FORGEJO
